"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSecretValue_1 = require("../model/operations/GetSecretValue");
var GetSecretValueCommand = /** @class */ (function () {
    function GetSecretValueCommand(input) {
        this.input = input;
        this.model = GetSecretValue_1.GetSecretValue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSecretValueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSecretValueCommand;
}());
exports.GetSecretValueCommand = GetSecretValueCommand;
//# sourceMappingURL=GetSecretValueCommand.js.map