"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RotateSecretInput_1 = require("../shapes/RotateSecretInput");
var RotateSecretOutput_1 = require("../shapes/RotateSecretOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RotateSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RotateSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RotateSecretInput_1.RotateSecretInput
    },
    output: {
        shape: RotateSecretOutput_1.RotateSecretOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        }
    ]
};
//# sourceMappingURL=RotateSecret.js.map